%define fname	polib


Name:           python-polib
Version:        1.0.2
Release:        %mkrel 4
Summary:        A library to parse and manage gettext catalogs

Group:          Development/Python
License:        MIT
URL:            http://bitbucket.org/izi/polib/
Source0:	http://bitbucket.org/izi/polib/downloads/polib-%{version}.tar.gz
# Patch from Debian
Patch0:		01_remove_unicode_error_files.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:	python-setuptools

%description
polib allows you to manipulate, create, modify gettext files (pot, po and
mo files). You can load existing files, iterate through it's entries, add,
modify entries, comments or metadata, etc... or create new po files from
scratch.

polib provides a simple and pythonic API, exporting only three convenience
functions 'pofile', 'mofile' and 'detect_encoding', and the 4 core classes:
POFile, MOFile, POEntry and MOEntry for creating new files/entries.

%package -n python3-polib
Summary:	A library to parse and manage gettext catalogs for Python 3
Group:		Development/Python
BuildRequires:	python3
BuildRequires:	python3-setuptools

%description -n python3-polib
polib allows you to manipulate, create, modify gettext files (pot, po and
mo files). You can load existing files, iterate through it's entries, add,
modify entries, comments or metadata, etc... or create new po files from
scratch.

polib provides a simple and pythonic API, exporting only three convenience
functions 'pofile', 'mofile' and 'detect_encoding', and the 4 core classes:
POFile, MOFile, POEntry and MOEntry for creating new files/entries.

%prep
%setup -q -c
mv %{fname}-%{version} python2
pushd python2
%apply_patches
popd
cp -r python2 python3

%build
pushd python2
python setup.py build
popd

pushd python3
python3 setup.py build
popd

%install
rm -rf %{buildroot}

pushd python2
python setup.py install --root=%{buildroot} --compile --optimize=2
popd

pushd python3
python3 setup.py install --root=%{buildroot} --compile --optimize=2
popd

%files
%doc python2/LICENSE python2/README.rst
%{python_sitelib}/*egg-info
%{python_sitelib}/%{fname}.py

%files -n python3-polib
%doc python3/LICENSE python3/README.rst
%{python3_sitelib}/*egg-info
%{python3_sitelib}/%{fname}.py



%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.0.2-4.mga3
+ Revision: 379281
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 philippem <philippem> 1.0.2-3.mga3
+ Revision: 326032
+ rebuild (emptylog)

* Sun Dec 02 2012 philippem <philippem> 1.0.2-1.mga3
+ Revision: 325448
- Update to 1.0.2

* Fri Nov 18 2011 philippem <philippem> 0.7.0-1.mga2
+ Revision: 168691
- Update to 0.7.0 with commit dbafdc621bf4 fixes

* Sun Jun 19 2011 kharec <kharec> 0.6.3-1.mga2
+ Revision: 109708
- new version 0.6.3

* Wed Feb 02 2011 ahmad <ahmad> 0.5.5-1.mga1
+ Revision: 46314
- imported package python-polib

